﻿-- 2024-05-15
ALTER TABLE t_b_device_delivery
    ADD COLUMN `device_status` varchar(30) NULL COMMENT '设备状态，正常：NORMAL； 故障：FAULT' AFTER `effect`;
ALTER TABLE t_b_device_delivery
    ADD COLUMN `source_id` bigint NULL COMMENT '设备来源ID，不为空，说明该设备由其他单号中转过来' AFTER `device_status`;

-- 2024-05-16
ALTER TABLE t_b_device_delivery
    ADD COLUMN `remark` varchar(200) NULL COMMENT '其他的运输方式说明' AFTER `source_id`;

-- 2024-05-17
ALTER TABLE t_b_device_delivery
    ADD COLUMN `mail_type` varchar(20) NULL COMMENT '邮寄方式：邮寄、其他' AFTER `remark`;

-- 2024-05-21
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4000, '设备管理', 'deviceDeliveryManage', 'MENU', 36, 1, NULL, NULL, 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4010, '设备签收列表', 'List', 'LIST', 4000, 1, 'AUTH', '4018', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4011, '签收', 'Sign', 'LINK', 4000, 2, 'AUTH', '4019', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4012, '未签收', 'UnSigned', 'LINK', 4000, 3, 'AUTH', '4020', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4013, '编辑', 'Update', 'LINK', 4000, 4, 'AUTH', '4021', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4014, '设备去处列表', 'List', 'LIST', 4000, 1, 'AUTH', '4022', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4015, '入库', 'In', 'LINK', 4000, 2, 'AUTH', '4023', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4016, '中转', 'Transfer', 'LINK', 4000, 3, 'AUTH', '4024', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4017, '编辑', 'Update', 'LINK', 4000, 4, 'AUTH', '4025', 1, 0, 1);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4018, '设备签收列表', '/api/admin/device/manage/sign/list', 'URL', 4000, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4019, '设备签收', '/api/admin/device/manage/sign', 'URL', 4000, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4020, '设备未签收', '/api/admin/device/manage/unsigned', 'URL', 4000, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4021, '设备签收编辑', '/api/admin/device/manage/sign/edit', 'URL', 4000, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4022, '设备去处列表', '/api/admin/device/manage/place/list', 'URL', 4000, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4023, '设备去处入库', '/api/admin/device/manage/in', 'URL', 4000, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4024, '设备去处中转', '/api/admin/device/manage/transfer', 'URL', 4000, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES (4025, '设备去处编辑', '/api/admin/device/manage/place/edit', 'URL', 4000, 4, 'AUTH', NULL, 1, 1, 0);
